<template>
  <div class="container">
    <form v-if="status">
      <input type="text" placeholder="name" v-model="name">
      <input type="text" placeholder="age" v-model="age">
      <button v-on:click.prevent="post">Post</button>
    </form>
    <p>{{data}}</p>
  </div>
</template>

<script>
  export default {
    data(){
        return {
          name: '',
          age: 0,
          status: true,
          data: ''
        }
    },
    methods: {
         post: function() {
           // this.$http.get("http://localhost:3000/").then(response => {
           //      console.log(response.body);
           //    }, response => {
           //        console.log("error");
           //    });
           this.$http.post('http://localhost:3000/post',
             {
               name: this.name
             }).then((response) => {
               this.age = this.age++;
               this.data = this.name;
               this.status = false;


             }, (response) => {
               console.log("error");
               JSON.stringify(response);
             });
         }
    }
  }
</script>
